mixed-port: 7890
allow-lan: true
bind-address: '*'
mode: rule
log-level: info
external-controller: '127.0.0.1:9090'
dns:
    enable: true
    ipv6: false
    default-nameserver: [223.5.5.5, 119.29.29.29]
    enhanced-mode: fake-ip
    fake-ip-range: 198.18.0.1/16
    use-hosts: true
    nameserver: ['https://doh.pub/dns-query', 'https://dns.alidns.com/dns-query']
    fallback: ['https://doh.dns.sb/dns-query', 'https://dns.cloudflare.com/dns-query', 'https://dns.twnic.tw/dns-query', 'tls://8.8.4.4:853']
    fallback-filter: { geoip: true, ipcidr: [240.0.0.0/4, 0.0.0.0/32] }
proxies:
    - { name: '[ss][家宽]电信专用-香港', type: ss, server: dx.sfsfwfwscsd3333.space, port: 22939, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][家宽]电信专用-美国', type: ss, server: dx.sfsfwfwscsd3333.space, port: 22671, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]电信专用-香港 清秋', type: ss, server: dx.sfsfwfwscsd3333.space, port: 24525, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][家宽]电信专用-台湾 · 青枫', type: ss, server: dx.sfsfwfwscsd3333.space, port: 24430, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]电信专用-日本 · 流樱', type: ss, server: dx.sfsfwfwscsd3333.space, port: 30870, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]电信专用-新加坡 · 南岛', type: ss, server: dx.sfsfwfwscsd3333.space, port: 29735, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]电信专用-澳门 赌城', type: ss, server: dx.sfsfwfwscsd3333.space, port: 55103, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][家宽]联通专用-香港', type: ss, server: lt.sfsfwfwscsd3333.space, port: 30911, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][原生]联通专用-美国', type: ss, server: lt.sfsfwfwscsd3333.space, port: 26329, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]联通专用-香港 山鸡', type: ss, server: lt.sfsfwfwscsd3333.space, port: 24917, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]联通专用-香港-1', type: ss, server: lt.sfsfwfwscsd3333.space, port: 24525, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][家宽]联通专用-台湾 · 青枫', type: ss, server: lt.sfsfwfwscsd3333.space, port: 24430, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]联通专用-日本 · 流樱', type: ss, server: lt.sfsfwfwscsd3333.space, port: 30870, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]联通专用-新加坡 · 南岛', type: ss, server: lt.sfsfwfwscsd3333.space, port: 29735, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]联通专用-澳门 赌城', type: ss, server: lt.sfsfwfwscsd3333.space, port: 25885, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]美国1【原生】', type: ss, server: zf.sfsfwfwscsd3333.space, port: 23735, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]美国 【家宽】', type: ss, server: zf.sfsfwfwscsd3333.space, port: 20869, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]美国2【原生】', type: ss, server: zf.sfsfwfwscsd3333.space, port: 27194, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]香港 湾仔', type: ss, server: zf.sfsfwfwscsd3333.space, port: 49187, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]香港【家宽】', type: ss, server: wy.sfsfwfwscsd3333.space, port: 39079, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]香港 维多利亚', type: ss, server: zf.sfsfwfwscsd3333.space, port: 21251, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]香港·湾仔', type: ss, server: zf.sfsfwfwscsd3333.space, port: 34364, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]香港·雷洛', type: ss, server: zf.sfsfwfwscsd3333.space, port: 39514, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]香港·香月', type: ss, server: wy.sfsfwfwscsd3333.space, port: 55010, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]香港·落辉', type: ss, server: zf.sfsfwfwscsd3333.space, port: 33534, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]香港·九龙', type: ss, server: zf.sfsfwfwscsd3333.space, port: 25775, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]韩国 朴正熙', type: ss, server: zf.sfsfwfwscsd3333.space, port: 38832, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]澳门-油管无广告', type: ss, server: zf.sfsfwfwscsd3333.space, port: 32791, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][家宽]台湾 · 青枫', type: ss, server: zf.sfsfwfwscsd3333.space, port: 46255, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]台湾·雨夜', type: ss, server: zf.sfsfwfwscsd3333.space, port: 46524, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]日本 · 流樱', type: ss, server: zf.sfsfwfwscsd3333.space, port: 45532, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]日本 · 晴岚', type: ss, server: zf.sfsfwfwscsd3333.space, port: 48042, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]日本 · 仙狐', type: ss, server: zf.sfsfwfwscsd3333.space, port: 29873, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]日本 · 石之海', type: ss, server: wy.sfsfwfwscsd3333.space, port: 24832, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][主力]新加坡 · 南洋', type: ss, server: zf.sfsfwfwscsd3333.space, port: 25485, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss][家宽]新加坡· 南洋', type: ss, server: wy.sfsfwfwscsd3333.space, port: 57661, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]新加坡 · 南雁', type: ss, server: zf.sfsfwfwscsd3333.space, port: 37557, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]新加坡 · 云港', type: ss, server: zf.sfsfwfwscsd3333.space, port: 24698, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]英国 柯基', type: ss, server: wy.sfsfwfwscsd3333.space, port: 27529, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]印度 牛粪', type: ss, server: wy.sfsfwfwscsd3333.space, port: 31709, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]德国 战车', type: ss, server: wy.sfsfwfwscsd3333.space, port: 41083, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]加拿大 牙签', type: ss, server: wy.sfsfwfwscsd3333.space, port: 34271, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]澳大利亚', type: ss, server: wy.sfsfwfwscsd3333.space, port: 49299, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]哈萨克斯坦', type: ss, server: wy.sfsfwfwscsd3333.space, port: 57332, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]阿塞拜疆', type: ss, server: wy.sfsfwfwscsd3333.space, port: 31310, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]泰国 播求', type: ss, server: wy.sfsfwfwscsd3333.space, port: 55437, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]加拿大 skr', type: ss, server: wy.sfsfwfwscsd3333.space, port: 59271, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]土耳其 烤肉', type: ss, server: wy.sfsfwfwscsd3333.space, port: 39291, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]伊拉克 萨达姆', type: ss, server: wy.sfsfwfwscsd3333.space, port: 33529, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
    - { name: '[ss]法国 姆巴佩', type: ss, server: wy.sfsfwfwscsd3333.space, port: 58330, cipher: chacha20-ietf-poly1305, password: 1d6a35f0-6ee7-49c9-a61d-5ae99a31fd9e, udp: true }
proxy-groups:
    - { name: KanJiChang, type: select, proxies: [自动选择, 故障转移, '[ss][家宽]电信专用-香港', '[ss][家宽]电信专用-美国', '[ss][主力]电信专用-香港 清秋', '[ss][家宽]电信专用-台湾 · 青枫', '[ss][主力]电信专用-日本 · 流樱', '[ss][主力]电信专用-新加坡 · 南岛', '[ss][主力]电信专用-澳门 赌城', '[ss][家宽]联通专用-香港', '[ss][原生]联通专用-美国', '[ss]联通专用-香港 山鸡', '[ss][主力]联通专用-香港-1', '[ss][家宽]联通专用-台湾 · 青枫', '[ss][主力]联通专用-日本 · 流樱', '[ss][主力]联通专用-新加坡 · 南岛', '[ss][主力]联通专用-澳门 赌城', '[ss]美国1【原生】', '[ss]美国 【家宽】', '[ss]美国2【原生】', '[ss]香港 湾仔', '[ss]香港【家宽】', '[ss][主力]香港 维多利亚', '[ss][主力]香港·湾仔', '[ss][主力]香港·雷洛', '[ss]香港·香月', '[ss]香港·落辉', '[ss]香港·九龙', '[ss]韩国 朴正熙', '[ss]澳门-油管无广告', '[ss][家宽]台湾 · 青枫', '[ss]台湾·雨夜', '[ss][主力]日本 · 流樱', '[ss]日本 · 晴岚', '[ss]日本 · 仙狐', '[ss]日本 · 石之海', '[ss][主力]新加坡 · 南洋', '[ss][家宽]新加坡· 南洋', '[ss]新加坡 · 南雁', '[ss]新加坡 · 云港', '[ss]英国 柯基', '[ss]印度 牛粪', '[ss]德国 战车', '[ss]加拿大 牙签', '[ss]澳大利亚', '[ss]哈萨克斯坦', '[ss]阿塞拜疆', '[ss]泰国 播求', '[ss]加拿大 skr', '[ss]土耳其 烤肉', '[ss]伊拉克 萨达姆', '[ss]法国 姆巴佩'] }
    - { name: 自动选择, type: url-test, proxies: ['[ss][家宽]电信专用-香港', '[ss][家宽]电信专用-美国', '[ss][主力]电信专用-香港 清秋', '[ss][家宽]电信专用-台湾 · 青枫', '[ss][主力]电信专用-日本 · 流樱', '[ss][主力]电信专用-新加坡 · 南岛', '[ss][主力]电信专用-澳门 赌城', '[ss][家宽]联通专用-香港', '[ss][原生]联通专用-美国', '[ss]联通专用-香港 山鸡', '[ss][主力]联通专用-香港-1', '[ss][家宽]联通专用-台湾 · 青枫', '[ss][主力]联通专用-日本 · 流樱', '[ss][主力]联通专用-新加坡 · 南岛', '[ss][主力]联通专用-澳门 赌城', '[ss]美国1【原生】', '[ss]美国 【家宽】', '[ss]美国2【原生】', '[ss]香港 湾仔', '[ss]香港【家宽】', '[ss][主力]香港 维多利亚', '[ss][主力]香港·湾仔', '[ss][主力]香港·雷洛', '[ss]香港·香月', '[ss]香港·落辉', '[ss]香港·九龙', '[ss]韩国 朴正熙', '[ss]澳门-油管无广告', '[ss][家宽]台湾 · 青枫', '[ss]台湾·雨夜', '[ss][主力]日本 · 流樱', '[ss]日本 · 晴岚', '[ss]日本 · 仙狐', '[ss]日本 · 石之海', '[ss][主力]新加坡 · 南洋', '[ss][家宽]新加坡· 南洋', '[ss]新加坡 · 南雁', '[ss]新加坡 · 云港', '[ss]英国 柯基', '[ss]印度 牛粪', '[ss]德国 战车', '[ss]加拿大 牙签', '[ss]澳大利亚', '[ss]哈萨克斯坦', '[ss]阿塞拜疆', '[ss]泰国 播求', '[ss]加拿大 skr', '[ss]土耳其 烤肉', '[ss]伊拉克 萨达姆', '[ss]法国 姆巴佩'], url: 'http://www.gstatic.com/generate_204', interval: 86400 }
    - { name: 故障转移, type: fallback, proxies: ['[ss][家宽]电信专用-香港', '[ss][家宽]电信专用-美国', '[ss][主力]电信专用-香港 清秋', '[ss][家宽]电信专用-台湾 · 青枫', '[ss][主力]电信专用-日本 · 流樱', '[ss][主力]电信专用-新加坡 · 南岛', '[ss][主力]电信专用-澳门 赌城', '[ss][家宽]联通专用-香港', '[ss][原生]联通专用-美国', '[ss]联通专用-香港 山鸡', '[ss][主力]联通专用-香港-1', '[ss][家宽]联通专用-台湾 · 青枫', '[ss][主力]联通专用-日本 · 流樱', '[ss][主力]联通专用-新加坡 · 南岛', '[ss][主力]联通专用-澳门 赌城', '[ss]美国1【原生】', '[ss]美国 【家宽】', '[ss]美国2【原生】', '[ss]香港 湾仔', '[ss]香港【家宽】', '[ss][主力]香港 维多利亚', '[ss][主力]香港·湾仔', '[ss][主力]香港·雷洛', '[ss]香港·香月', '[ss]香港·落辉', '[ss]香港·九龙', '[ss]韩国 朴正熙', '[ss]澳门-油管无广告', '[ss][家宽]台湾 · 青枫', '[ss]台湾·雨夜', '[ss][主力]日本 · 流樱', '[ss]日本 · 晴岚', '[ss]日本 · 仙狐', '[ss]日本 · 石之海', '[ss][主力]新加坡 · 南洋', '[ss][家宽]新加坡· 南洋', '[ss]新加坡 · 南雁', '[ss]新加坡 · 云港', '[ss]英国 柯基', '[ss]印度 牛粪', '[ss]德国 战车', '[ss]加拿大 牙签', '[ss]澳大利亚', '[ss]哈萨克斯坦', '[ss]阿塞拜疆', '[ss]泰国 播求', '[ss]加拿大 skr', '[ss]土耳其 烤肉', '[ss]伊拉克 萨达姆', '[ss]法国 姆巴佩'], url: 'http://www.gstatic.com/generate_204', interval: 7200 }
rules:
    - 'IP-CIDR,112.18.120.38/32,DIRECT,no-resolve'
    - 'IP-CIDR,183.236.97.23/32,DIRECT,no-resolve'
    - 'DOMAIN,qingsiyun.lol,DIRECT'
    - 'DOMAIN-SUFFIX,services.googleapis.cn,KanJiChang'
    - 'DOMAIN-SUFFIX,xn--ngstr-lra8j.com,KanJiChang'
    - 'DOMAIN,safebrowsing.urlsec.qq.com,DIRECT'
    - 'DOMAIN,safebrowsing.googleapis.com,DIRECT'
    - 'DOMAIN,developer.apple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,digicert.com,KanJiChang'
    - 'DOMAIN,ocsp.apple.com,KanJiChang'
    - 'DOMAIN,ocsp.comodoca.com,KanJiChang'
    - 'DOMAIN,ocsp.usertrust.com,KanJiChang'
    - 'DOMAIN,ocsp.sectigo.com,KanJiChang'
    - 'DOMAIN,ocsp.verisign.net,KanJiChang'
    - 'DOMAIN-SUFFIX,apple-dns.net,KanJiChang'
    - 'DOMAIN,testflight.apple.com,KanJiChang'
    - 'DOMAIN,sandbox.itunes.apple.com,KanJiChang'
    - 'DOMAIN,itunes.apple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,apps.apple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blobstore.apple.com,KanJiChang'
    - 'DOMAIN,cvws.icloud-content.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mzstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,itunes.apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud-content.com,DIRECT'
    - 'DOMAIN-SUFFIX,me.com,DIRECT'
    - 'DOMAIN-SUFFIX,aaplimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn20.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn-apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,akadns.net,DIRECT'
    - 'DOMAIN-SUFFIX,akamaiedge.net,DIRECT'
    - 'DOMAIN-SUFFIX,edgekey.net,DIRECT'
    - 'DOMAIN-SUFFIX,mwcloudcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,mwcname.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-cloudkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-mapkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.net,DIRECT'
    - 'DOMAIN-SUFFIX,127.net,DIRECT'
    - 'DOMAIN-SUFFIX,163.com,DIRECT'
    - 'DOMAIN-SUFFIX,360buyimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,36kr.com,DIRECT'
    - 'DOMAIN-SUFFIX,acfun.tv,DIRECT'
    - 'DOMAIN-SUFFIX,air-matters.com,DIRECT'
    - 'DOMAIN-SUFFIX,aixifan.com,DIRECT'
    - 'DOMAIN-KEYWORD,alicdn,DIRECT'
    - 'DOMAIN-KEYWORD,alipay,DIRECT'
    - 'DOMAIN-KEYWORD,taobao,DIRECT'
    - 'DOMAIN-SUFFIX,amap.com,DIRECT'
    - 'DOMAIN-SUFFIX,autonavi.com,DIRECT'
    - 'DOMAIN-KEYWORD,baidu,DIRECT'
    - 'DOMAIN-SUFFIX,bdimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,bdstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilibili.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilivideo.com,DIRECT'
    - 'DOMAIN-SUFFIX,caiyunapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,clouddn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbeta.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbetacdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cootekservice.com,DIRECT'
    - 'DOMAIN-SUFFIX,csdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,ctrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,dgtle.com,DIRECT'
    - 'DOMAIN-SUFFIX,dianping.com,DIRECT'
    - 'DOMAIN-SUFFIX,douban.com,DIRECT'
    - 'DOMAIN-SUFFIX,doubanio.com,DIRECT'
    - 'DOMAIN-SUFFIX,duokan.com,DIRECT'
    - 'DOMAIN-SUFFIX,easou.com,DIRECT'
    - 'DOMAIN-SUFFIX,ele.me,DIRECT'
    - 'DOMAIN-SUFFIX,feng.com,DIRECT'
    - 'DOMAIN-SUFFIX,fir.im,DIRECT'
    - 'DOMAIN-SUFFIX,frdic.com,DIRECT'
    - 'DOMAIN-SUFFIX,g-cores.com,DIRECT'
    - 'DOMAIN-SUFFIX,godic.net,DIRECT'
    - 'DOMAIN-SUFFIX,gtimg.com,DIRECT'
    - 'DOMAIN,cdn.hockeyapp.net,DIRECT'
    - 'DOMAIN-SUFFIX,hongxiu.com,DIRECT'
    - 'DOMAIN-SUFFIX,hxcdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,iciba.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifeng.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifengimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,ipip.net,DIRECT'
    - 'DOMAIN-SUFFIX,iqiyi.com,DIRECT'
    - 'DOMAIN-SUFFIX,jd.com,DIRECT'
    - 'DOMAIN-SUFFIX,jianshu.com,DIRECT'
    - 'DOMAIN-SUFFIX,knewone.com,DIRECT'
    - 'DOMAIN-SUFFIX,le.com,DIRECT'
    - 'DOMAIN-SUFFIX,lecloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,lemicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,licdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,luoo.net,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.com,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.net,DIRECT'
    - 'DOMAIN-SUFFIX,mi.com,DIRECT'
    - 'DOMAIN-SUFFIX,miaopai.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoft.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoftonline.com,DIRECT'
    - 'DOMAIN-SUFFIX,miui.com,DIRECT'
    - 'DOMAIN-SUFFIX,miwifi.com,DIRECT'
    - 'DOMAIN-SUFFIX,mob.com,DIRECT'
    - 'DOMAIN-SUFFIX,netease.com,DIRECT'
    - 'DOMAIN-SUFFIX,office.com,DIRECT'
    - 'DOMAIN-SUFFIX,office365.com,DIRECT'
    - 'DOMAIN-KEYWORD,officecdn,DIRECT'
    - 'DOMAIN-SUFFIX,oschina.net,DIRECT'
    - 'DOMAIN-SUFFIX,ppsimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,pstatp.com,DIRECT'
    - 'DOMAIN-SUFFIX,qcloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdaily.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdmm.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhres.com,DIRECT'
    - 'DOMAIN-SUFFIX,qidian.com,DIRECT'
    - 'DOMAIN-SUFFIX,qihucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniu.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiyipic.com,DIRECT'
    - 'DOMAIN-SUFFIX,qq.com,DIRECT'
    - 'DOMAIN-SUFFIX,qqurl.com,DIRECT'
    - 'DOMAIN-SUFFIX,rarbg.to,DIRECT'
    - 'DOMAIN-SUFFIX,ruguoapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,segmentfault.com,DIRECT'
    - 'DOMAIN-SUFFIX,sinaapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,smzdm.com,DIRECT'
    - 'DOMAIN-SUFFIX,snapdrop.net,DIRECT'
    - 'DOMAIN-SUFFIX,sogou.com,DIRECT'
    - 'DOMAIN-SUFFIX,sogoucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,sohu.com,DIRECT'
    - 'DOMAIN-SUFFIX,soku.com,DIRECT'
    - 'DOMAIN-SUFFIX,speedtest.net,DIRECT'
    - 'DOMAIN-SUFFIX,sspai.com,DIRECT'
    - 'DOMAIN-SUFFIX,suning.com,DIRECT'
    - 'DOMAIN-SUFFIX,taobao.com,DIRECT'
    - 'DOMAIN-SUFFIX,tencent.com,DIRECT'
    - 'DOMAIN-SUFFIX,tenpay.com,DIRECT'
    - 'DOMAIN-SUFFIX,tianyancha.com,DIRECT'
    - 'DOMAIN-SUFFIX,tmall.com,DIRECT'
    - 'DOMAIN-SUFFIX,tudou.com,DIRECT'
    - 'DOMAIN-SUFFIX,umetrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,upaiyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,upyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,veryzhun.com,DIRECT'
    - 'DOMAIN-SUFFIX,weather.com,DIRECT'
    - 'DOMAIN-SUFFIX,weibo.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.net,DIRECT'
    - 'DOMAIN-SUFFIX,xiaomicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,ximalaya.com,DIRECT'
    - 'DOMAIN-SUFFIX,xmcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,xunlei.com,DIRECT'
    - 'DOMAIN-SUFFIX,yhd.com,DIRECT'
    - 'DOMAIN-SUFFIX,yihaodianimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,yinxiang.com,DIRECT'
    - 'DOMAIN-SUFFIX,ykimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,youdao.com,DIRECT'
    - 'DOMAIN-SUFFIX,youku.com,DIRECT'
    - 'DOMAIN-SUFFIX,zealer.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhihu.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,zimuzu.tv,DIRECT'
    - 'DOMAIN-SUFFIX,zoho.com,DIRECT'
    - 'DOMAIN-KEYWORD,amazon,KanJiChang'
    - 'DOMAIN-KEYWORD,google,KanJiChang'
    - 'DOMAIN-KEYWORD,gmail,KanJiChang'
    - 'DOMAIN-KEYWORD,youtube,KanJiChang'
    - 'DOMAIN-KEYWORD,facebook,KanJiChang'
    - 'DOMAIN-SUFFIX,fb.me,KanJiChang'
    - 'DOMAIN-SUFFIX,fbcdn.net,KanJiChang'
    - 'DOMAIN-KEYWORD,twitter,KanJiChang'
    - 'DOMAIN-KEYWORD,instagram,KanJiChang'
    - 'DOMAIN-KEYWORD,dropbox,KanJiChang'
    - 'DOMAIN-SUFFIX,twimg.com,KanJiChang'
    - 'DOMAIN-KEYWORD,blogspot,KanJiChang'
    - 'DOMAIN-SUFFIX,youtu.be,KanJiChang'
    - 'DOMAIN-KEYWORD,whatsapp,KanJiChang'
    - 'DOMAIN-KEYWORD,admarvel,REJECT'
    - 'DOMAIN-KEYWORD,admaster,REJECT'
    - 'DOMAIN-KEYWORD,adsage,REJECT'
    - 'DOMAIN-KEYWORD,adsmogo,REJECT'
    - 'DOMAIN-KEYWORD,adsrvmedia,REJECT'
    - 'DOMAIN-KEYWORD,adwords,REJECT'
    - 'DOMAIN-KEYWORD,adservice,REJECT'
    - 'DOMAIN-SUFFIX,appsflyer.com,REJECT'
    - 'DOMAIN-KEYWORD,domob,REJECT'
    - 'DOMAIN-SUFFIX,doubleclick.net,REJECT'
    - 'DOMAIN-KEYWORD,duomeng,REJECT'
    - 'DOMAIN-KEYWORD,dwtrack,REJECT'
    - 'DOMAIN-KEYWORD,guanggao,REJECT'
    - 'DOMAIN-KEYWORD,lianmeng,REJECT'
    - 'DOMAIN-SUFFIX,mmstat.com,REJECT'
    - 'DOMAIN-KEYWORD,mopub,REJECT'
    - 'DOMAIN-KEYWORD,omgmta,REJECT'
    - 'DOMAIN-KEYWORD,openx,REJECT'
    - 'DOMAIN-KEYWORD,partnerad,REJECT'
    - 'DOMAIN-KEYWORD,pingfore,REJECT'
    - 'DOMAIN-KEYWORD,supersonicads,REJECT'
    - 'DOMAIN-KEYWORD,uedas,REJECT'
    - 'DOMAIN-KEYWORD,umeng,REJECT'
    - 'DOMAIN-KEYWORD,usage,REJECT'
    - 'DOMAIN-SUFFIX,vungle.com,REJECT'
    - 'DOMAIN-KEYWORD,wlmonitor,REJECT'
    - 'DOMAIN-KEYWORD,zjtoolbar,REJECT'
    - 'DOMAIN-SUFFIX,9to5mac.com,KanJiChang'
    - 'DOMAIN-SUFFIX,abpchina.org,KanJiChang'
    - 'DOMAIN-SUFFIX,adblockplus.org,KanJiChang'
    - 'DOMAIN-SUFFIX,adobe.com,KanJiChang'
    - 'DOMAIN-SUFFIX,akamaized.net,KanJiChang'
    - 'DOMAIN-SUFFIX,alfredapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,amplitude.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ampproject.org,KanJiChang'
    - 'DOMAIN-SUFFIX,android.com,KanJiChang'
    - 'DOMAIN-SUFFIX,angularjs.org,KanJiChang'
    - 'DOMAIN-SUFFIX,aolcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,apkpure.com,KanJiChang'
    - 'DOMAIN-SUFFIX,appledaily.com,KanJiChang'
    - 'DOMAIN-SUFFIX,appshopper.com,KanJiChang'
    - 'DOMAIN-SUFFIX,appspot.com,KanJiChang'
    - 'DOMAIN-SUFFIX,arcgis.com,KanJiChang'
    - 'DOMAIN-SUFFIX,archive.org,KanJiChang'
    - 'DOMAIN-SUFFIX,armorgames.com,KanJiChang'
    - 'DOMAIN-SUFFIX,aspnetcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,att.com,KanJiChang'
    - 'DOMAIN-SUFFIX,awsstatic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,azureedge.net,KanJiChang'
    - 'DOMAIN-SUFFIX,azurewebsites.net,KanJiChang'
    - 'DOMAIN-SUFFIX,bing.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bintray.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bit.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bit.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,bitbucket.org,KanJiChang'
    - 'DOMAIN-SUFFIX,bjango.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bkrtx.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blog.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogger.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogsmithmedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogspot.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogspot.hk,KanJiChang'
    - 'DOMAIN-SUFFIX,bloomberg.com,KanJiChang'
    - 'DOMAIN-SUFFIX,box.com,KanJiChang'
    - 'DOMAIN-SUFFIX,box.net,KanJiChang'
    - 'DOMAIN-SUFFIX,cachefly.net,KanJiChang'
    - 'DOMAIN-SUFFIX,chromium.org,KanJiChang'
    - 'DOMAIN-SUFFIX,cl.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,cloudflare.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cloudfront.net,KanJiChang'
    - 'DOMAIN-SUFFIX,cloudmagic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cmail19.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cnet.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cocoapods.org,KanJiChang'
    - 'DOMAIN-SUFFIX,comodoca.com,KanJiChang'
    - 'DOMAIN-SUFFIX,crashlytics.com,KanJiChang'
    - 'DOMAIN-SUFFIX,culturedcode.com,KanJiChang'
    - 'DOMAIN-SUFFIX,d.pr,KanJiChang'
    - 'DOMAIN-SUFFIX,danilo.to,KanJiChang'
    - 'DOMAIN-SUFFIX,dayone.me,KanJiChang'
    - 'DOMAIN-SUFFIX,db.tt,KanJiChang'
    - 'DOMAIN-SUFFIX,deskconnect.com,KanJiChang'
    - 'DOMAIN-SUFFIX,disq.us,KanJiChang'
    - 'DOMAIN-SUFFIX,disqus.com,KanJiChang'
    - 'DOMAIN-SUFFIX,disquscdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dnsimple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,docker.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dribbble.com,KanJiChang'
    - 'DOMAIN-SUFFIX,droplr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,duckduckgo.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dueapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dytt8.net,KanJiChang'
    - 'DOMAIN-SUFFIX,edgecastcdn.net,KanJiChang'
    - 'DOMAIN-SUFFIX,edgekey.net,KanJiChang'
    - 'DOMAIN-SUFFIX,edgesuite.net,KanJiChang'
    - 'DOMAIN-SUFFIX,engadget.com,KanJiChang'
    - 'DOMAIN-SUFFIX,entrust.net,KanJiChang'
    - 'DOMAIN-SUFFIX,eurekavpt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,evernote.com,KanJiChang'
    - 'DOMAIN-SUFFIX,fabric.io,KanJiChang'
    - 'DOMAIN-SUFFIX,fast.com,KanJiChang'
    - 'DOMAIN-SUFFIX,fastly.net,KanJiChang'
    - 'DOMAIN-SUFFIX,fc2.com,KanJiChang'
    - 'DOMAIN-SUFFIX,feedburner.com,KanJiChang'
    - 'DOMAIN-SUFFIX,feedly.com,KanJiChang'
    - 'DOMAIN-SUFFIX,feedsportal.com,KanJiChang'
    - 'DOMAIN-SUFFIX,fiftythree.com,KanJiChang'
    - 'DOMAIN-SUFFIX,firebaseio.com,KanJiChang'
    - 'DOMAIN-SUFFIX,flexibits.com,KanJiChang'
    - 'DOMAIN-SUFFIX,flickr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,flipboard.com,KanJiChang'
    - 'DOMAIN-SUFFIX,g.co,KanJiChang'
    - 'DOMAIN-SUFFIX,gabia.net,KanJiChang'
    - 'DOMAIN-SUFFIX,geni.us,KanJiChang'
    - 'DOMAIN-SUFFIX,gfx.ms,KanJiChang'
    - 'DOMAIN-SUFFIX,ggpht.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ghostnoteapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,git.io,KanJiChang'
    - 'DOMAIN-KEYWORD,github,KanJiChang'
    - 'DOMAIN-SUFFIX,globalsign.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gmodules.com,KanJiChang'
    - 'DOMAIN-SUFFIX,godaddy.com,KanJiChang'
    - 'DOMAIN-SUFFIX,golang.org,KanJiChang'
    - 'DOMAIN-SUFFIX,gongm.in,KanJiChang'
    - 'DOMAIN-SUFFIX,goo.gl,KanJiChang'
    - 'DOMAIN-SUFFIX,goodreaders.com,KanJiChang'
    - 'DOMAIN-SUFFIX,goodreads.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gravatar.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gstatic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gvt0.com,KanJiChang'
    - 'DOMAIN-SUFFIX,hockeyapp.net,KanJiChang'
    - 'DOMAIN-SUFFIX,hotmail.com,KanJiChang'
    - 'DOMAIN-SUFFIX,icons8.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ifixit.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ift.tt,KanJiChang'
    - 'DOMAIN-SUFFIX,ifttt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,iherb.com,KanJiChang'
    - 'DOMAIN-SUFFIX,imageshack.us,KanJiChang'
    - 'DOMAIN-SUFFIX,img.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,imgur.com,KanJiChang'
    - 'DOMAIN-SUFFIX,imore.com,KanJiChang'
    - 'DOMAIN-SUFFIX,instapaper.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ipn.li,KanJiChang'
    - 'DOMAIN-SUFFIX,is.gd,KanJiChang'
    - 'DOMAIN-SUFFIX,issuu.com,KanJiChang'
    - 'DOMAIN-SUFFIX,itgonglun.com,KanJiChang'
    - 'DOMAIN-SUFFIX,itun.es,KanJiChang'
    - 'DOMAIN-SUFFIX,ixquick.com,KanJiChang'
    - 'DOMAIN-SUFFIX,j.mp,KanJiChang'
    - 'DOMAIN-SUFFIX,js.revsci.net,KanJiChang'
    - 'DOMAIN-SUFFIX,jshint.com,KanJiChang'
    - 'DOMAIN-SUFFIX,jtvnw.net,KanJiChang'
    - 'DOMAIN-SUFFIX,justgetflux.com,KanJiChang'
    - 'DOMAIN-SUFFIX,kat.cr,KanJiChang'
    - 'DOMAIN-SUFFIX,klip.me,KanJiChang'
    - 'DOMAIN-SUFFIX,libsyn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,linkedin.com,KanJiChang'
    - 'DOMAIN-SUFFIX,line-apps.com,KanJiChang'
    - 'DOMAIN-SUFFIX,linode.com,KanJiChang'
    - 'DOMAIN-SUFFIX,lithium.com,KanJiChang'
    - 'DOMAIN-SUFFIX,littlehj.com,KanJiChang'
    - 'DOMAIN-SUFFIX,live.com,KanJiChang'
    - 'DOMAIN-SUFFIX,live.net,KanJiChang'
    - 'DOMAIN-SUFFIX,livefilestore.com,KanJiChang'
    - 'DOMAIN-SUFFIX,llnwd.net,KanJiChang'
    - 'DOMAIN-SUFFIX,macid.co,KanJiChang'
    - 'DOMAIN-SUFFIX,macromedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,macrumors.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mashable.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mathjax.org,KanJiChang'
    - 'DOMAIN-SUFFIX,medium.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mega.co.nz,KanJiChang'
    - 'DOMAIN-SUFFIX,mega.nz,KanJiChang'
    - 'DOMAIN-SUFFIX,megaupload.com,KanJiChang'
    - 'DOMAIN-SUFFIX,microsofttranslator.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mindnode.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mobile01.com,KanJiChang'
    - 'DOMAIN-SUFFIX,modmyi.com,KanJiChang'
    - 'DOMAIN-SUFFIX,msedge.net,KanJiChang'
    - 'DOMAIN-SUFFIX,myfontastic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,name.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nextmedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nsstatic.net,KanJiChang'
    - 'DOMAIN-SUFFIX,nssurge.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nyt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nytimes.com,KanJiChang'
    - 'DOMAIN-SUFFIX,omnigroup.com,KanJiChang'
    - 'DOMAIN-SUFFIX,onedrive.com,KanJiChang'
    - 'DOMAIN-SUFFIX,onenote.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ooyala.com,KanJiChang'
    - 'DOMAIN-SUFFIX,openvpn.net,KanJiChang'
    - 'DOMAIN-SUFFIX,openwrt.org,KanJiChang'
    - 'DOMAIN-SUFFIX,orkut.com,KanJiChang'
    - 'DOMAIN-SUFFIX,osxdaily.com,KanJiChang'
    - 'DOMAIN-SUFFIX,outlook.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ow.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,paddleapi.com,KanJiChang'
    - 'DOMAIN-SUFFIX,parallels.com,KanJiChang'
    - 'DOMAIN-SUFFIX,parse.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pdfexpert.com,KanJiChang'
    - 'DOMAIN-SUFFIX,periscope.tv,KanJiChang'
    - 'DOMAIN-SUFFIX,pinboard.in,KanJiChang'
    - 'DOMAIN-SUFFIX,pinterest.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pixelmator.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pixiv.net,KanJiChang'
    - 'DOMAIN-SUFFIX,playpcesor.com,KanJiChang'
    - 'DOMAIN-SUFFIX,playstation.com,KanJiChang'
    - 'DOMAIN-SUFFIX,playstation.com.hk,KanJiChang'
    - 'DOMAIN-SUFFIX,playstation.net,KanJiChang'
    - 'DOMAIN-SUFFIX,playstationnetwork.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pushwoosh.com,KanJiChang'
    - 'DOMAIN-SUFFIX,rime.im,KanJiChang'
    - 'DOMAIN-SUFFIX,servebom.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sfx.ms,KanJiChang'
    - 'DOMAIN-SUFFIX,shadowsocks.org,KanJiChang'
    - 'DOMAIN-SUFFIX,sharethis.com,KanJiChang'
    - 'DOMAIN-SUFFIX,shazam.com,KanJiChang'
    - 'DOMAIN-SUFFIX,skype.com,KanJiChang'
    - 'DOMAIN-SUFFIX,smartdnsKanJiChang.com,KanJiChang'
    - 'DOMAIN-SUFFIX,smartmailcloud.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sndcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sony.com,KanJiChang'
    - 'DOMAIN-SUFFIX,soundcloud.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sourceforge.net,KanJiChang'
    - 'DOMAIN-SUFFIX,spotify.com,KanJiChang'
    - 'DOMAIN-SUFFIX,squarespace.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sstatic.net,KanJiChang'
    - 'DOMAIN-SUFFIX,st.luluku.pw,KanJiChang'
    - 'DOMAIN-SUFFIX,stackoverflow.com,KanJiChang'
    - 'DOMAIN-SUFFIX,startpage.com,KanJiChang'
    - 'DOMAIN-SUFFIX,staticflickr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,steamcommunity.com,KanJiChang'
    - 'DOMAIN-SUFFIX,symauth.com,KanJiChang'
    - 'DOMAIN-SUFFIX,symcb.com,KanJiChang'
    - 'DOMAIN-SUFFIX,symcd.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tapbots.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tapbots.net,KanJiChang'
    - 'DOMAIN-SUFFIX,tdesktop.com,KanJiChang'
    - 'DOMAIN-SUFFIX,techcrunch.com,KanJiChang'
    - 'DOMAIN-SUFFIX,techsmith.com,KanJiChang'
    - 'DOMAIN-SUFFIX,thepiratebay.org,KanJiChang'
    - 'DOMAIN-SUFFIX,theverge.com,KanJiChang'
    - 'DOMAIN-SUFFIX,time.com,KanJiChang'
    - 'DOMAIN-SUFFIX,timeinc.net,KanJiChang'
    - 'DOMAIN-SUFFIX,tiny.cc,KanJiChang'
    - 'DOMAIN-SUFFIX,tinypic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tmblr.co,KanJiChang'
    - 'DOMAIN-SUFFIX,todoist.com,KanJiChang'
    - 'DOMAIN-SUFFIX,trello.com,KanJiChang'
    - 'DOMAIN-SUFFIX,trustasiassl.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tumblr.co,KanJiChang'
    - 'DOMAIN-SUFFIX,tumblr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tweetdeck.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tweetmarker.net,KanJiChang'
    - 'DOMAIN-SUFFIX,twitch.tv,KanJiChang'
    - 'DOMAIN-SUFFIX,txmblr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,typekit.net,KanJiChang'
    - 'DOMAIN-SUFFIX,ubertags.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ublock.org,KanJiChang'
    - 'DOMAIN-SUFFIX,ubnt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ulyssesapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,urchin.com,KanJiChang'
    - 'DOMAIN-SUFFIX,usertrust.com,KanJiChang'
    - 'DOMAIN-SUFFIX,v.gd,KanJiChang'
    - 'DOMAIN-SUFFIX,v2ex.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vimeo.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vimeocdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vine.co,KanJiChang'
    - 'DOMAIN-SUFFIX,vivaldi.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vox-cdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vsco.co,KanJiChang'
    - 'DOMAIN-SUFFIX,vultr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,w.org,KanJiChang'
    - 'DOMAIN-SUFFIX,w3schools.com,KanJiChang'
    - 'DOMAIN-SUFFIX,webtype.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wikiwand.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wikileaks.org,KanJiChang'
    - 'DOMAIN-SUFFIX,wikimedia.org,KanJiChang'
    - 'DOMAIN-SUFFIX,wikipedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wikipedia.org,KanJiChang'
    - 'DOMAIN-SUFFIX,windows.com,KanJiChang'
    - 'DOMAIN-SUFFIX,windows.net,KanJiChang'
    - 'DOMAIN-SUFFIX,wire.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wordpress.com,KanJiChang'
    - 'DOMAIN-SUFFIX,workflowy.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wsj.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wsj.net,KanJiChang'
    - 'DOMAIN-SUFFIX,xda-developers.com,KanJiChang'
    - 'DOMAIN-SUFFIX,xeeno.com,KanJiChang'
    - 'DOMAIN-SUFFIX,xiti.com,KanJiChang'
    - 'DOMAIN-SUFFIX,yahoo.com,KanJiChang'
    - 'DOMAIN-SUFFIX,yimg.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ying.com,KanJiChang'
    - 'DOMAIN-SUFFIX,yoyo.org,KanJiChang'
    - 'DOMAIN-SUFFIX,ytimg.com,KanJiChang'
    - 'DOMAIN-SUFFIX,telegra.ph,KanJiChang'
    - 'DOMAIN-SUFFIX,telegram.org,KanJiChang'
    - 'IP-CIDR,91.108.4.0/22,KanJiChang,no-resolve'
    - 'IP-CIDR,91.108.8.0/21,KanJiChang,no-resolve'
    - 'IP-CIDR,91.108.16.0/22,KanJiChang,no-resolve'
    - 'IP-CIDR,91.108.56.0/22,KanJiChang,no-resolve'
    - 'IP-CIDR,149.154.160.0/20,KanJiChang,no-resolve'
    - 'IP-CIDR6,2001:67c:4e8::/48,KanJiChang,no-resolve'
    - 'IP-CIDR6,2001:b28:f23d::/48,KanJiChang,no-resolve'
    - 'IP-CIDR6,2001:b28:f23f::/48,KanJiChang,no-resolve'
    - 'IP-CIDR,120.232.181.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.241.147.226/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.253.226/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.255.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.255.34/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.255.98/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.150.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.150.34/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.151.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.151.34/32,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.39.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.40.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.41.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.43.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.50.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,220.181.174.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,220.181.174.226/32,KanJiChang,no-resolve'
    - 'IP-CIDR,220.181.174.34/32,KanJiChang,no-resolve'
    - 'DOMAIN,injections.adguard.org,DIRECT'
    - 'DOMAIN,local.adguard.org,DIRECT'
    - 'DOMAIN-SUFFIX,local,DIRECT'
    - 'IP-CIDR,127.0.0.0/8,DIRECT'
    - 'IP-CIDR,172.16.0.0/12,DIRECT'
    - 'IP-CIDR,192.168.0.0/16,DIRECT'
    - 'IP-CIDR,10.0.0.0/8,DIRECT'
    - 'IP-CIDR,17.0.0.0/8,DIRECT'
    - 'IP-CIDR,100.64.0.0/10,DIRECT'
    - 'IP-CIDR,224.0.0.0/4,DIRECT'
    - 'IP-CIDR6,fe80::/10,DIRECT'
    - 'DOMAIN-SUFFIX,cn,DIRECT'
    - 'DOMAIN-KEYWORD,-cn,DIRECT'
    - 'GEOIP,CN,DIRECT'
    - 'MATCH,KanJiChang'
